#ifndef UI_H
#define UI_H

#include <SDL2/SDL.h>
#include <SDL2/SDL_ttf.h>
#include "mouse.h"
#include "mandelbrot.h"

#define BUTTON_WIDTH 120
#define BUTTON_HEIGHT 30
#define PREVIEW_SIZE 200
#define UI_PADDING 10
#define UI_ALPHA 200
#define FONT_SIZE 16

    
typedef struct {
    SDL_Rect zoom_display;
    SDL_Rect fps_display;
    TTF_Font* font;
} UI;

void init_ui(UI* ui);
void render_ui(UI* ui, SDL_Renderer* renderer, ViewInfo view, float fps);
int handle_ui_event(UI* ui, SDL_Event event, ViewInfo* view);

void cleanup_ui(UI* ui);

#endif 

